Subject: [PATCH v8 10/17] phy: Add driver for rockchip Display Port PHY

From: [email-masked] (Heiko Stuebner)
Date: Thu, 12 Nov 2015 10:21:51 +0100

Hi Yakir,

Am Donnerstag, 12. November 2015, 10:36:51 schrieb Yakir Yang:
> On 11/12/2015 07:23 AM, Heiko Stuebner wrote:
> > Am Mittwoch, 28. Oktober 2015, 16:30:33 schrieb Yakir Yang:
> >> Add phy driver for the Rockchip DisplayPort PHY module. This
> >> is required to get DisplayPort working in Rockchip SoCs.
> >>
> >> Reviewed-by: Heiko Stuebner <[email-masked]>
> >> Signed-off-by: Yakir Yang <[email-masked]>
> > a general thing I have been pondering, we should probably move the
> > dp-phy under the GRF. Similar to the new power-domains being
> > a full child of the PMU, the dp-phy is a full child-device of the GRF.
> >
> > That would include:
> > - making the GRF a simply-mfd (just adding that property)
> > - moving the dts node under it
> > - making the driver get its regmap from its parent (just like
> >    drivers/soc/rockchip/pm_domains.c does)
> >
> >
> > The usbphy is another example of that, and I think I'll be moving it
> > below the grf as well.
> 
> Sounds great, pretty cool to collect those scattered "GRF" driver,
> if you want me do some rebase on your changes, please note me :)

nope, that won't be necessary ... I'm currently doing some usbphy
reorganization/cleanups for 4.5 first, so to keep conflicts down I'll do
the move probably for 4.6. As I expect your edp series to make it into
4.5 we'll also not have conflicts here then :-)

Heiko